/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

import javax.xml.namespace.QName;
import java.util.List;
import java.util.Map;

public interface Service extends WSDLElement {
   void addPort(Port port);
   Port getPort(String name);
   Map getPorts();
   QName getQName();
   Port removePort(String name);
   void setQName(QName name);
}

