/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl.extensions;

import java.io.PrintWriter;

import javax.wsdl.Definition;
import javax.wsdl.WSDLException;
import javax.xml.namespace.QName;

import org.w3c.dom.Element;

public interface ExtensionSerializer {
   ExtensibilityElement marshall(Class parentType,
                                 QName elementType, 
                                 ExtensibilityElement extension, 
                                 PrintWriter pw, 
                                 Definition def,
                                 ExtensionRegistry extReg) throws WSDLException;
}

