/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

import javax.xml.namespace.QName;
import java.util.List;

public interface Binding extends WSDLElement {
   void addBindingOperation(BindingOperation bindingOperation);
   BindingOperation getBindingOperation(String name, String inputName, String outputName);
   List getBindingOperations();
   PortType getPortType();
   QName getQName();
   boolean isUndefined();
   BindingOperation removeBindingOperation(String name, String inputName, String outputName);
   void setPortType(PortType portType);
   void setQName(QName name);
   void setUndefined(boolean isUndefined);
}

