/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

import javax.xml.namespace.QName;
import java.util.List;
import java.util.Map;

public interface Message extends WSDLElement {
   void addPart(Part part);
   List getOrderedParts(List partOrder);
   Part getPart(String name);
   Map getParts();
   QName getQName();
   boolean isUndefined();
   Part removePart(String name);
   void setQName(QName name);
   void setUndefined(boolean isUndefined);
}

